gui_be.h File Reference
`#include <gwenhywfar/gui.h>`

Go to the source code of this file.

## Typedefs

Prototypes For Standard Virtual User Interaction Functions
typedef int GWENHYWFAR_CB(* | GWEN_GUI_GETPASSWORD_FN) (GWEN_GUI *gui, uint32_t flags, const char *token, const char *title, const char *text, char *buffer, int minLen, int maxLen, GWEN_GUI_PASSWORD_METHOD methodId, GWEN_DB_NODE *methodParams, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_LOG_HOOK_FN) (GWEN_GUI *gui, const char *logDomain, GWEN_LOGGER_LEVEL priority, const char *s)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_PRINT_FN) (GWEN_GUI *gui, const char *docTitle, const char *docType, const char *descr, const char *text, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_SETPASSWORDSTATUS_FN) (GWEN_GUI *gui, const char *token, const char *pin, GWEN_GUI_PASSWORD_STATUS status, uint32_t guiid)
Prototypes For Virtual Helper Functions
typedef int GWENHYWFAR_CB(* | GWEN_GUI_CHECKCERT_FN) (GWEN_GUI *gui, const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_GET_FILENAME_FN) (GWEN_GUI *gui, const char *caption, GWEN_GUI_FILENAME_TYPE fnt, uint32_t flags, const char *patterns, GWEN_BUFFER *pathBuffer, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_GETSYNCIO_FN) (GWEN_GUI *gui, const char *url, const char *defaultProto, int defaultPort, GWEN_SYNCIO **pSio)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN) (GWEN_GUI *gui, const char *text, unsigned char *buffer, unsigned int bufLength)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_WAITFORSOCKETS_FN) (GWEN_GUI *gui, GWEN_SOCKET_LIST2 *readSockets, GWEN_SOCKET_LIST2 *writeSockets, int msecs, uint32_t guiid)
Prototypes For Virtual Dialog Functions
typedef int GWENHYWFAR_CB(* | GWEN_GUI_CLOSE_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_EXEC_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_OPEN_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_READ_DIALOG_PREFS_FN) (GWEN_GUI *gui, const char *groupName, const char *altName, GWEN_DB_NODE **pDb)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_RUN_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, int timeout)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_WRITE_DIALOG_PREFS_FN) (GWEN_GUI *gui, const char *groupName, GWEN_DB_NODE *db)
Prototypes For Virtual Lowlevel User Interaction Functions
Please note that these virtual functions are now obsolete since the dialog framework is now able to handle them. If these functions are unchanged then the current dialog framework implementation will handle them. Currently there are implementations for FOX1.6, QT3 and QT4.
typedef void GWENHYWFAR_CB(* | GWEN_GUI_HIDEBOX_FN) (GWEN_GUI *gui, uint32_t id)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_INPUTBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, char *buffer, int minLen, int maxLen, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_MESSAGEBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, const char *b1, const char *b2, const char *b3, uint32_t guiid)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_PROGRESS_ADVANCE_FN) (GWEN_GUI *gui, uint32_t id, uint64_t progress)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_PROGRESS_END_FN) (GWEN_GUI *gui, uint32_t id)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_PROGRESS_LOG_FN) (GWEN_GUI *gui, uint32_t id, GWEN_LOGGER_LEVEL level, const char *text)
typedef int GWENHYWFAR_CB(* | GWEN_GUI_PROGRESS_SETTOTAL_FN) (GWEN_GUI *gui, uint32_t id, uint64_t total)
typedef uint32_t GWENHYWFAR_CB(* | GWEN_GUI_PROGRESS_START_FN) (GWEN_GUI *gui, uint32_t progressFlags, const char *title, const char *text, uint64_t total, uint32_t guiid)
typedef uint32_t GWENHYWFAR_CB(* | GWEN_GUI_SHOWBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, uint32_t guiid)

## Functions

GWENHYWFAR_API void | GWEN_Gui_SetName (GWEN_GUI *gui, const char *name)
Helper Functions
GWENHYWFAR_API int | GWEN_Gui_ConvertFromUtf8 (const GWEN_GUI *gui, const char *text, int len, GWEN_BUFFER *tbuf)
GWENHYWFAR_API int GWENHYWFAR_API void | GWEN_Gui_GetRawText (const GWEN_GUI *gui, const char *text, GWEN_BUFFER *tbuf)
GWENHYWFAR_API int | GWEN_Gui_StdPrintf (const GWEN_GUI *gui, FILE *stream, const char *fmt,...) GWEN_FORMAT(printf
Dialog Related Functions
GWENHYWFAR_API int | GWEN_Gui_ReadDialogPrefs (const char *groupName, const char *altName, GWEN_DB_NODE **pDb)
GWENHYWFAR_API void | GWEN_Gui_UseDialogs (GWEN_GUI *gui)
GWENHYWFAR_API int | GWEN_Gui_WriteDialogPrefs (const char *groupName, GWEN_DB_NODE *db)
Setters For Virtual User Interaction Functions
The functions in this group set the corresponding callback function pointers.
GWENHYWFAR_API GWEN_GUI_CHECKCERT_FN | GWEN_Gui_SetCheckCertFn (GWEN_GUI *gui, GWEN_GUI_CHECKCERT_FN f)
GWENHYWFAR_API GWEN_GUI_CLOSE_DIALOG_FN | GWEN_Gui_SetCloseDialogFn (GWEN_GUI *gui, GWEN_GUI_CLOSE_DIALOG_FN f)
GWENHYWFAR_API GWEN_GUI_EXEC_DIALOG_FN | GWEN_Gui_SetExecDialogFn (GWEN_GUI *gui, GWEN_GUI_EXEC_DIALOG_FN f)
GWENHYWFAR_API GWEN_GUI_GET_FILENAME_FN | GWEN_Gui_SetGetFileNameFn (GWEN_GUI *gui, GWEN_GUI_GET_FILENAME_FN f)
GWENHYWFAR_API GWEN_GUI_GETPASSWORD_FN | GWEN_Gui_SetGetPasswordFn (GWEN_GUI *gui, GWEN_GUI_GETPASSWORD_FN f)
GWENHYWFAR_API GWEN_GUI_GETSYNCIO_FN | GWEN_Gui_SetGetSyncIoFn (GWEN_GUI *gui, GWEN_GUI_GETSYNCIO_FN f)
GWENHYWFAR_API GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN | GWEN_Gui_SetKeyDataFromTextOpenSslFn (GWEN_GUI *gui, GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN f)
GWENHYWFAR_API GWEN_GUI_LOG_HOOK_FN | GWEN_Gui_SetLogHookFn (GWEN_GUI *gui, GWEN_GUI_LOG_HOOK_FN f)
GWENHYWFAR_API GWEN_GUI_OPEN_DIALOG_FN | GWEN_Gui_SetOpenDialogFn (GWEN_GUI *gui, GWEN_GUI_OPEN_DIALOG_FN f)
GWENHYWFAR_API GWEN_GUI_PRINT_FN | GWEN_Gui_SetPrintFn (GWEN_GUI *gui, GWEN_GUI_PRINT_FN f)
GWENHYWFAR_API GWEN_GUI_READ_DIALOG_PREFS_FN | GWEN_Gui_SetReadDialogPrefsFn (GWEN_GUI *gui, GWEN_GUI_READ_DIALOG_PREFS_FN f)
GWENHYWFAR_API GWEN_GUI_RUN_DIALOG_FN | GWEN_Gui_SetRunDialogFn (GWEN_GUI *gui, GWEN_GUI_RUN_DIALOG_FN f)
GWENHYWFAR_API GWEN_GUI_SETPASSWORDSTATUS_FN | GWEN_Gui_SetSetPasswordStatusFn (GWEN_GUI *gui, GWEN_GUI_SETPASSWORDSTATUS_FN f)
GWENHYWFAR_API GWEN_GUI_WAITFORSOCKETS_FN | GWEN_Gui_SetWaitForSocketsFn (GWEN_GUI *gui, GWEN_GUI_WAITFORSOCKETS_FN f)
GWENHYWFAR_API GWEN_GUI_WRITE_DIALOG_PREFS_FN | GWEN_Gui_SetWriteDialogPrefsFn (GWEN_GUI *gui, GWEN_GUI_WRITE_DIALOG_PREFS_FN f)
Obsolete Setters For Virtual User Interaction Functions
These are obsoleted by the GWEN_DIALOG framework. If your GWEN_GUI implementation supports the GWEN_DIALOG framework (as the provided FOX16, QT3 and QT4 implementations do) it should call GWEN_Gui_UseDialogs to make GWEN_GUI uses platform independent dialogs for the functions in this group.
GWENHYWFAR_API GWEN_GUI_HIDEBOX_FN | GWEN_Gui_SetHideBoxFn (GWEN_GUI *gui, GWEN_GUI_HIDEBOX_FN f)
GWENHYWFAR_API GWEN_GUI_INPUTBOX_FN | GWEN_Gui_SetInputBoxFn (GWEN_GUI *gui, GWEN_GUI_INPUTBOX_FN f)
GWENHYWFAR_API GWEN_GUI_MESSAGEBOX_FN | GWEN_Gui_SetMessageBoxFn (GWEN_GUI *gui, GWEN_GUI_MESSAGEBOX_FN f)
GWENHYWFAR_API GWEN_GUI_PROGRESS_ADVANCE_FN | GWEN_Gui_SetProgressAdvanceFn (GWEN_GUI *gui, GWEN_GUI_PROGRESS_ADVANCE_FN f)
GWENHYWFAR_API GWEN_GUI_PROGRESS_END_FN | GWEN_Gui_SetProgressEndFn (GWEN_GUI *gui, GWEN_GUI_PROGRESS_END_FN f)
GWENHYWFAR_API GWEN_GUI_PROGRESS_LOG_FN | GWEN_Gui_SetProgressLogFn (GWEN_GUI *gui, GWEN_GUI_PROGRESS_LOG_FN f)
GWENHYWFAR_API GWEN_GUI_PROGRESS_SETTOTAL_FN | GWEN_Gui_SetProgressSetTotalFn (GWEN_GUI *gui, GWEN_GUI_PROGRESS_SETTOTAL_FN f)
GWENHYWFAR_API GWEN_GUI_PROGRESS_START_FN | GWEN_Gui_SetProgressStartFn (GWEN_GUI *gui, GWEN_GUI_PROGRESS_START_FN f)
GWENHYWFAR_API GWEN_GUI_SHOWBOX_FN | GWEN_Gui_SetShowBoxFn (GWEN_GUI *gui, GWEN_GUI_SHOWBOX_FN f)

## Typedef Documentation

## GWEN_GUI_CHECKCERT_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_CHECKCERT_FN) (GWEN_GUI *gui, const GWEN_SSLCERTDESCR *cert, GWEN_SYNCIO *sio, uint32_t guiid)

Definition at line 204 of file gui_be.h.

## GWEN_GUI_CLOSE_DIALOG_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_CLOSE_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg)

Definition at line 247 of file gui_be.h.

## GWEN_GUI_EXEC_DIALOG_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_EXEC_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, uint32_t guiid)

Definition at line 238 of file gui_be.h.

## GWEN_GUI_GET_FILENAME_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_GET_FILENAME_FN) (GWEN_GUI *gui, const char *caption, GWEN_GUI_FILENAME_TYPE fnt, uint32_t flags, const char *patterns, GWEN_BUFFER *pathBuffer, uint32_t guiid)

Definition at line 210 of file gui_be.h.

## GWEN_GUI_GETPASSWORD_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_GETPASSWORD_FN) (GWEN_GUI *gui, uint32_t flags, const char *token, const char *title, const char *text, char *buffer, int minLen, int maxLen, GWEN_GUI_PASSWORD_METHOD methodId, GWEN_DB_NODE *methodParams, uint32_t guiid)

This function retrieves a pasword or pin.

Definition at line 151 of file gui_be.h.

## GWEN_GUI_GETSYNCIO_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_GETSYNCIO_FN) (GWEN_GUI *gui, const char *url, const char *defaultProto, int defaultPort, GWEN_SYNCIO **pSio)

Definition at line 218 of file gui_be.h.

## GWEN_GUI_HIDEBOX_FN

typedef void GWENHYWFAR_CB(* GWEN_GUI_HIDEBOX_FN) (GWEN_GUI *gui, uint32_t id)

Please see GWEN_Gui_HideBox for details.

Definition at line 385 of file gui_be.h.

## GWEN_GUI_INPUTBOX_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_INPUTBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, char *buffer, int minLen, int maxLen, uint32_t guiid)

Please see GWEN_Gui_InputBox for details.

Definition at line 362 of file gui_be.h.

## GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN) (GWEN_GUI *gui, const char *text, unsigned char *buffer, unsigned int bufLength)

Definition at line 224 of file gui_be.h.

## GWEN_GUI_LOG_HOOK_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_LOG_HOOK_FN) (GWEN_GUI *gui, const char *logDomain, GWEN_LOGGER_LEVEL priority, const char *s)

This function is called at the beginning of GWEN_Logger_Log() and my be used to intercept log messages in general (e.g. to divert them to an internal log mechanism of the application).

Returns
  1 if the message has been handled by the application, 0 if the message should be handled as usual

Parameters

  gui | pointer to the gui which receives this call
  logDomain | name of the logging domain (e.g. GWEN_LOGDOMAIN)
  priority | see GWEN_Logger_Log
  s | the message to be logged (this is the raw message from the caller)

Definition at line 185 of file gui_be.h.

## GWEN_GUI_MESSAGEBOX_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_MESSAGEBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, const char *b1, const char *b2, const char *b3, uint32_t guiid)

Please see GWEN_Gui_MessageBox for details.

Definition at line 349 of file gui_be.h.

## GWEN_GUI_OPEN_DIALOG_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_OPEN_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, uint32_t guiid)

Definition at line 243 of file gui_be.h.

## GWEN_GUI_PRINT_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_PRINT_FN) (GWEN_GUI *gui, const char *docTitle, const char *docType, const char *descr, const char *text, uint32_t guiid)

This function is used to make the application print something. The same restrictions noted above apply to the text parameter (utf-8, maybe containing HTML). Please see GWEN_Gui_Print for details.

Definition at line 141 of file gui_be.h.

## GWEN_GUI_PROGRESS_ADVANCE_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_PROGRESS_ADVANCE_FN) (GWEN_GUI *gui, uint32_t id, uint64_t progress)

Please see GWEN_Gui_ProgressAdvance for details.

Definition at line 402 of file gui_be.h.

## GWEN_GUI_PROGRESS_END_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_PROGRESS_END_FN) (GWEN_GUI *gui, uint32_t id)

Please see GWEN_Gui_ProgressEnd for details.

Definition at line 427 of file gui_be.h.

## GWEN_GUI_PROGRESS_LOG_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_PROGRESS_LOG_FN) (GWEN_GUI *gui, uint32_t id, GWEN_LOGGER_LEVEL level, const char *text)

Please see GWEN_Gui_ProgressLog for details.

Definition at line 419 of file gui_be.h.

## GWEN_GUI_PROGRESS_SETTOTAL_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_PROGRESS_SETTOTAL_FN) (GWEN_GUI *gui, uint32_t id, uint64_t total)

Please see GWEN_Gui_ProgressSetTotal for details.

Definition at line 411 of file gui_be.h.

## GWEN_GUI_PROGRESS_START_FN

typedef uint32_t GWENHYWFAR_CB(* GWEN_GUI_PROGRESS_START_FN) (GWEN_GUI *gui, uint32_t progressFlags, const char *title, const char *text, uint64_t total, uint32_t guiid)

Please see GWEN_Gui_ProgressStart for details.

Definition at line 391 of file gui_be.h.

## GWEN_GUI_READ_DIALOG_PREFS_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_READ_DIALOG_PREFS_FN) (GWEN_GUI *gui, const char *groupName, const char *altName, GWEN_DB_NODE **pDb)

Definition at line 252 of file gui_be.h.

## GWEN_GUI_RUN_DIALOG_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_RUN_DIALOG_FN) (GWEN_GUI *gui, GWEN_DIALOG *dlg, int timeout)

Definition at line 249 of file gui_be.h.

## GWEN_GUI_SETPASSWORDSTATUS_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_SETPASSWORDSTATUS_FN) (GWEN_GUI *gui, const char *token, const char *pin, GWEN_GUI_PASSWORD_STATUS status, uint32_t guiid)

This functions sets the status of a password.

Definition at line 166 of file gui_be.h.

## GWEN_GUI_SHOWBOX_FN

typedef uint32_t GWENHYWFAR_CB(* GWEN_GUI_SHOWBOX_FN) (GWEN_GUI *gui, uint32_t flags, const char *title, const char *text, uint32_t guiid)

Please see GWEN_Gui_ShowBox for details.

Definition at line 375 of file gui_be.h.

## GWEN_GUI_WAITFORSOCKETS_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_WAITFORSOCKETS_FN) (GWEN_GUI *gui, GWEN_SOCKET_LIST2 *readSockets, GWEN_SOCKET_LIST2 *writeSockets, int msecs, uint32_t guiid)

Definition at line 198 of file gui_be.h.

## GWEN_GUI_WRITE_DIALOG_PREFS_FN

typedef int GWENHYWFAR_CB(* GWEN_GUI_WRITE_DIALOG_PREFS_FN) (GWEN_GUI *gui, const char *groupName, GWEN_DB_NODE *db)

Definition at line 257 of file gui_be.h.

## Function Documentation

## GWEN_Gui_ConvertFromUtf8()

GWENHYWFAR_API int GWEN_Gui_ConvertFromUtf8 | ( | const GWEN_GUI * | gui,
|  | const char * | text,
|  | int | len,
|  | GWEN_BUFFER * | tbuf )

This function converts the given text from UTF-8 to the character set selected by GWEN_Gui_SetCharSet before writing it to the given buffer.

References GWENHYWFAR_API.

## GWEN_Gui_GetRawText()

GWENHYWFAR_API int GWENHYWFAR_API void GWEN_Gui_GetRawText | ( | const GWEN_GUI * | gui,
|  | const char * | text,
|  | GWEN_BUFFER * | tbuf )

This function extracts the raw text (i.e. the part outside a HTML element) so it can, for example, be fed to GWEN_Gui_StdPrintf afterwards.

References GWEN_Gui_GetRawText(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_GetRawText().

## GWEN_Gui_ReadDialogPrefs()

GWENHYWFAR_API int GWEN_Gui_ReadDialogPrefs | ( | const char * | groupName,
|  | const char * | altName,
|  | GWEN_DB_NODE ** | pDb )

Let the application read a GWEN_DB. This function is used by the platform-independent dialogs to read GUI settings (e.g. width, height etc).

This is implemented by AB_Gui, an extension of the GWEN_GUI in AqBanking using AqBanking's shared configuration module to load/save dialog settings.

Returns
  0 on success, error code on error

Parameters

  groupName | name of the db to load
  altName | alternative name in case there is no group of the name groupName
  pDb | pointer to receive the GWEN_DB read

References GWEN_Gui_ReadDialogPrefs(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_ReadDialogPrefs().

## GWEN_Gui_SetCheckCertFn()

GWENHYWFAR_API GWEN_GUI_CHECKCERT_FN GWEN_Gui_SetCheckCertFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_CHECKCERT_FN | f )

References GWEN_Gui_SetCheckCertFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetCheckCertFn().

## GWEN_Gui_SetCloseDialogFn()

GWENHYWFAR_API GWEN_GUI_CLOSE_DIALOG_FN GWEN_Gui_SetCloseDialogFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_CLOSE_DIALOG_FN | f )

References GWEN_Gui_SetCloseDialogFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetCloseDialogFn().

## GWEN_Gui_SetExecDialogFn()

GWENHYWFAR_API GWEN_GUI_EXEC_DIALOG_FN GWEN_Gui_SetExecDialogFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_EXEC_DIALOG_FN | f )

References GWEN_Gui_SetExecDialogFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetExecDialogFn().

## GWEN_Gui_SetGetFileNameFn()

GWENHYWFAR_API GWEN_GUI_GET_FILENAME_FN GWEN_Gui_SetGetFileNameFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_GET_FILENAME_FN | f )

References GWEN_Gui_SetGetFileNameFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetGetFileNameFn().

## GWEN_Gui_SetGetPasswordFn()

GWENHYWFAR_API GWEN_GUI_GETPASSWORD_FN GWEN_Gui_SetGetPasswordFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_GETPASSWORD_FN | f )

References GWEN_Gui_SetGetPasswordFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetGetPasswordFn().

## GWEN_Gui_SetGetSyncIoFn()

GWENHYWFAR_API GWEN_GUI_GETSYNCIO_FN GWEN_Gui_SetGetSyncIoFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_GETSYNCIO_FN | f )

References GWEN_Gui_SetGetSyncIoFn().

Referenced by GWEN_Gui_SetGetSyncIoFn().

## GWEN_Gui_SetHideBoxFn()

GWENHYWFAR_API GWEN_GUI_HIDEBOX_FN GWEN_Gui_SetHideBoxFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_HIDEBOX_FN | f )

References GWEN_Gui_SetHideBoxFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetHideBoxFn().

## GWEN_Gui_SetInputBoxFn()

GWENHYWFAR_API GWEN_GUI_INPUTBOX_FN GWEN_Gui_SetInputBoxFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_INPUTBOX_FN | f )

References GWEN_Gui_SetInputBoxFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetInputBoxFn().

## GWEN_Gui_SetKeyDataFromTextOpenSslFn()

GWENHYWFAR_API GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN GWEN_Gui_SetKeyDataFromTextOpenSslFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_KEYDATAFROMTEXT_OPENSSL_FN | f )

References GWEN_Gui_SetKeyDataFromTextOpenSslFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetKeyDataFromTextOpenSslFn().

## GWEN_Gui_SetLogHookFn()

GWENHYWFAR_API GWEN_GUI_LOG_HOOK_FN GWEN_Gui_SetLogHookFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_LOG_HOOK_FN | f )

References GWEN_Gui_SetLogHookFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetLogHookFn().

## GWEN_Gui_SetMessageBoxFn()

GWENHYWFAR_API GWEN_GUI_MESSAGEBOX_FN GWEN_Gui_SetMessageBoxFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_MESSAGEBOX_FN | f )

References GWEN_Gui_SetMessageBoxFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetMessageBoxFn().

## GWEN_Gui_SetName()

GWENHYWFAR_API void GWEN_Gui_SetName | ( | GWEN_GUI * | gui,
|  | const char * | name )

References GWENHYWFAR_API.

## GWEN_Gui_SetOpenDialogFn()

GWENHYWFAR_API GWEN_GUI_OPEN_DIALOG_FN GWEN_Gui_SetOpenDialogFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_OPEN_DIALOG_FN | f )

References GWEN_Gui_SetOpenDialogFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetOpenDialogFn().

## GWEN_Gui_SetPrintFn()

GWENHYWFAR_API GWEN_GUI_PRINT_FN GWEN_Gui_SetPrintFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PRINT_FN | f )

References GWEN_Gui_SetPrintFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetPrintFn().

## GWEN_Gui_SetProgressAdvanceFn()

GWENHYWFAR_API GWEN_GUI_PROGRESS_ADVANCE_FN GWEN_Gui_SetProgressAdvanceFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PROGRESS_ADVANCE_FN | f )

References GWEN_Gui_SetProgressAdvanceFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetProgressAdvanceFn().

## GWEN_Gui_SetProgressEndFn()

GWENHYWFAR_API GWEN_GUI_PROGRESS_END_FN GWEN_Gui_SetProgressEndFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PROGRESS_END_FN | f )

References GWEN_Gui_SetProgressEndFn().

Referenced by GWEN_Gui_SetProgressEndFn().

## GWEN_Gui_SetProgressLogFn()

GWENHYWFAR_API GWEN_GUI_PROGRESS_LOG_FN GWEN_Gui_SetProgressLogFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PROGRESS_LOG_FN | f )

References GWEN_Gui_SetProgressLogFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetProgressLogFn().

## GWEN_Gui_SetProgressSetTotalFn()

GWENHYWFAR_API GWEN_GUI_PROGRESS_SETTOTAL_FN GWEN_Gui_SetProgressSetTotalFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PROGRESS_SETTOTAL_FN | f )

References GWEN_Gui_SetProgressSetTotalFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetProgressSetTotalFn().

## GWEN_Gui_SetProgressStartFn()

GWENHYWFAR_API GWEN_GUI_PROGRESS_START_FN GWEN_Gui_SetProgressStartFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_PROGRESS_START_FN | f )

References GWEN_Gui_SetProgressStartFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetProgressStartFn().

## GWEN_Gui_SetReadDialogPrefsFn()

GWENHYWFAR_API GWEN_GUI_READ_DIALOG_PREFS_FN GWEN_Gui_SetReadDialogPrefsFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_READ_DIALOG_PREFS_FN | f )

References GWEN_Gui_SetReadDialogPrefsFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetReadDialogPrefsFn().

## GWEN_Gui_SetRunDialogFn()

GWENHYWFAR_API GWEN_GUI_RUN_DIALOG_FN GWEN_Gui_SetRunDialogFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_RUN_DIALOG_FN | f )

References GWEN_Gui_SetRunDialogFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetRunDialogFn().

## GWEN_Gui_SetSetPasswordStatusFn()

GWENHYWFAR_API GWEN_GUI_SETPASSWORDSTATUS_FN GWEN_Gui_SetSetPasswordStatusFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_SETPASSWORDSTATUS_FN | f )

References GWEN_Gui_SetSetPasswordStatusFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetSetPasswordStatusFn().

## GWEN_Gui_SetShowBoxFn()

GWENHYWFAR_API GWEN_GUI_SHOWBOX_FN GWEN_Gui_SetShowBoxFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_SHOWBOX_FN | f )

References GWEN_Gui_SetShowBoxFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetShowBoxFn().

## GWEN_Gui_SetWaitForSocketsFn()

GWENHYWFAR_API GWEN_GUI_WAITFORSOCKETS_FN GWEN_Gui_SetWaitForSocketsFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_WAITFORSOCKETS_FN | f )

References GWEN_Gui_SetWaitForSocketsFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetWaitForSocketsFn().

## GWEN_Gui_SetWriteDialogPrefsFn()

GWENHYWFAR_API GWEN_GUI_WRITE_DIALOG_PREFS_FN GWEN_Gui_SetWriteDialogPrefsFn | ( | GWEN_GUI * | gui,
|  | GWEN_GUI_WRITE_DIALOG_PREFS_FN | f )

References GWEN_Gui_SetWriteDialogPrefsFn(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_SetWriteDialogPrefsFn().

## GWEN_Gui_StdPrintf()

GWENHYWFAR_API int GWEN_Gui_StdPrintf | ( | const GWEN_GUI * | gui,
|  | FILE * | stream,
|  | const char * | fmt,
|  |  | ... )

This function converts the given text from UTF-8 to the character set selected by GWEN_Gui_SetCharSet before writing it to the specified stream. It is intended to be used instead of fprintf() for all output to the terminal (stdout, stderr).

References fmt, GWEN_FORMAT, and GWENHYWFAR_API.

## GWEN_Gui_UseDialogs()

GWENHYWFAR_API void GWEN_Gui_UseDialogs | ( | GWEN_GUI * | gui | ) |

The implementation should call this function if it implements the dialog framework. It sets the obsoleted callbacks to use the GWEN_DIALOG framework.

References GWEN_Gui_UseDialogs(), and GWENHYWFAR_API.

Referenced by GWEN_Gui_UseDialogs().

## GWEN_Gui_WriteDialogPrefs()

GWENHYWFAR_API int GWEN_Gui_WriteDialogPrefs | ( | const char * | groupName,
|  | GWEN_DB_NODE * | db )

Let the application write a GWEN_DB. This function is used by the platform-independent dialogs to write GUI settings (e.g. width, height etc).

Returns
  0 on success, error code on error

Parameters

  groupName | name of the db to save
  pDb | pointer to receive the GWEN_DB read

References GWEN_Gui_WriteDialogPrefs().

Referenced by GWEN_Gui_WriteDialogPrefs().